import {Routes} from "@angular/router";
import { LoginGuard } from "./shared/common/loginGuard";
import {AppComponent} from "./app.component";
import {JhiLoginModalComponent} from "./shared";
import {JhiMainComponent} from "./layouts";
import {BasicComponent} from "./overAll/basic/basic.component";
import {BasicDetailComponent} from "./overAll/basic/basic-detail/basic-detail.component";
import {MonitorComponent} from "./overAll/monitor/monitor.component";
import {SecurityComponent} from "./overAll/security/security.component";
import {AuditComponent} from "./system/audit/audit.component";
import {ExamineComponent} from "./system/examine/examine.component";
import {GroupComponent} from "./system/group/group.component";
import {PowerComponent} from "./system/power/power.component";

export const route: Routes = [
    {path: '', redirectTo: 'app/main', pathMatch: 'full'},
    {
        path: 'app', component: AppComponent,
        children: [
            {path: 'login', component: JhiLoginModalComponent},
            {
                path: 'main', component: JhiMainComponent,canActivate:[LoginGuard],
                children: [
                    {path: 'basic', component: BasicComponent,canActivate:[LoginGuard]},
                    {path: 'basic-detail', component: BasicDetailComponent,canActivate:[LoginGuard]},
                    {path: 'monitor', component: MonitorComponent,canActivate:[LoginGuard]},
                    {path: 'security', component: SecurityComponent,canActivate:[LoginGuard]},
                    {path: 'audit', component: AuditComponent,canActivate:[LoginGuard]},
                    {path: 'examine', component: ExamineComponent,canActivate:[LoginGuard]},
                    {path: 'group', component: GroupComponent,canActivate:[LoginGuard]},
                    {path: 'power', component: PowerComponent,canActivate:[LoginGuard]}
                ]
            },
        ]
    },
    {path: '*', component: AppComponent,canActivate:[LoginGuard]},
];
