import { Component, OnInit, Output } from '@angular/core';
import {
    FormBuilder,
    FormControl,
    FormGroup,
    ValidationErrors,
    Validators
} from '@angular/forms';
import { OverAllService } from "../../overAll/overAll.service";
import { NzMessageService } from "ng-zorro-antd";
import { Observable, Observer } from 'rxjs';
import { EmitService } from "../../shared/event/eventEmitter";
import { EventEmitter } from "@angular/core";

@Component({
  selector: 'smart-create-group',
  templateUrl: './create-group.component.html',
  styles: []
})
export class CreateGroupComponent implements OnInit {
    @Output() add = new EventEmitter<any>();
    isCreate = false;
    validateForm: FormGroup;
    constructor(private fb: FormBuilder,private overAllSer: OverAllService,
                private message: NzMessageService,private emitService:EmitService) {
        this.validateForm = this.fb.group({
            name: [ '', [ Validators.required ],[ this.userNameAsyncValidator ] ],
            groupDescribe : [ '' ]
        });
    }

  ngOnInit() {

  }

    userNameAsyncValidator = (control: FormControl) => Observable.create((observer: Observer<ValidationErrors>) => {
        setTimeout(() => {
            if (control.value === 'JasonWood') {
                observer.next({ error: true, duplicated: true });
            } else {
                observer.next(null);
            }
            observer.complete();
        }, 1000);
    });


    showModal(): void {
        this.validateForm = this.fb.group({
            name: [ '', [ Validators.required ],[ this.userNameAsyncValidator ] ],
            groupDescribe : [ '' ]
        });
        this.isCreate = true;
    }

    handleOk(): void {
        for (const i in this.validateForm.controls) {
            this.validateForm.controls[ i ].markAsDirty();
            this.validateForm.controls[ i ].updateValueAndValidity();
        }
        console.log(this.validateForm);
        this.overAllSer.createGroup(this.validateForm.value).subscribe(
            (res)=>{
                if(res.errCode == 10000){
                    this.message.info('添加成功');
                    this.isCreate = false;
                    this.add.emit();
                }else{
                    this.message.info(res.errMsg);
                }
            }
        )

    }

    handleCancel(): void {
        console.log('Button cancel clicked!');
        this.isCreate = false;
    }

}
